## ubuntu-release-upgrader 24.04.19

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.19) noble; urgency=medium

  * DistUpgrade: drop quirk for systems with BIOS and XFS /boot (LP: #2067886)
  * DistUpgradeQuirks: make sure replacement.candidate is not None
    (LP: #2067071)
  * DistUpgrade: use tempfile for apt extended_states during simulation
    (LP: #2067585)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 04 Jun 2024 11:55:51 -0400

ubuntu-release-upgrader (1:24.04.18) noble; urgency=medium

  [ Nick Rosbrook ]
  * tests: fix un-templated expected ubuntu.sources
  * DistUpgradeQuirks: prevent upgrades of TPM FDE desktops (LP: #2065229)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

  [ Dave Jones ]
  * New quirk to add KMS overlay on Pi Server images (LP: #2065051)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 09 May 2024 15:39:56 -0400

ubuntu-release-upgrader (1:24.04.17) noble; urgency=medium

  [ Nick Rosbrook ]
  * Revert "DistUpgrade.cfg.jammy: keep {netfilter,iptables}-persistent installed"
  * DistUpgradeQuirks: keep {netfilter,iptables}-persistent instead of ufw
    (LP: #2061891)

  [ Julian Andres Klode ]
  * DistUpgrade.cfg.jammy: Add systemd-resolved to PostUpgradeInstall
    (LP: #2063464)
  * Transition the automatically installed bit to t64 libraries, and
    do not write automatically installed bit in simulation (LP: #2064090)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 29 Apr 2024 16:26:40 +0200
