## ubuntu-release-upgrader 24.04.23

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.23) noble; urgency=medium

  * Ensure that we remove only the right obsolete packages, specifically
    not kernel packages  (LP: #2078720):
    - Revert back to old obsolete logic if new one fails
    - Force obsolete removals on non-foreign packages
    - Consistently check that we do not remove protected obsolete packages
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 05 Sep 2024 21:11:05 +0200

ubuntu-release-upgrader (1:24.04.22) noble; urgency=medium

  [ Tobias Heider ]
  * Fix typo in force_obsoletes. (LP: #2076913)

  [ Nick Rosbrook ]
  * DistUpgrade: handle cache key error when removing obsolete packages
    (LP: #2077358)
  * deb2snap: switch snap-store and firmware-updater tracks
    (LP: #2077344)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 21 Aug 2024 12:55:15 -0400

ubuntu-release-upgrader (1:24.04.21) noble; urgency=medium

  * DistUpgradeQuirks: disable stub resolver on upgrades from jammy
    (LP: #2043820)
  * DistUpgrade: show a message about denied package removals
    (LP: #2073278)
  * data: add cryptsetup-initramfs to removal_denylist.cfg
    (LP: #2067622)
  * DistUpgradeQuirks: abort if system is not /usr-merged
    (LP: #2058648)
  * DistUpgradeQuirks: disable cloud-init on upgrade
    (LP: #2075968)
  * DistUpgradeQuirks: abort if rabbitmq-server installed
    (LP: #2074309)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 09 Aug 2024 15:25:13 -0400

ubuntu-release-upgrader (1:24.04.20) noble; urgency=medium

  [ Mate Kukri ]
  * DistUpgradeQuirks: make sure GRUB "cloud_style_installation" is set in cloud images (LP: #2054103)

  [ Julian Andres Klode ]
  * Move the actiongroup out of the obsoletes loop
  * Reimplement obsolete removal with resolve_by_keep (LP: #1874272)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 12 Jul 2024 12:29:55 -0400
