## ubuntu-release-upgrader 24.04.26

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.26) noble; urgency=medium

  [ Erich Eickmeyer ]
  * DistUpgradeQuirks: install pipewire-audio on ubuntu studio upgrades,
    uninstalling pulseaudio and preventing install of
    pulseaudio:i386 (LP: #2078639)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 31 Jan 2025 12:11:23 -0500

ubuntu-release-upgrader (1:24.04.25) noble; urgency=medium

  * DistUpgradeQuirks: skip sd-resolved quirk if it's not running (LP: #2078555)
  * Revert "DistUpgradeQuirks: install pipewire-audio on ubuntu studio upgrades"
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 22 Jan 2025 16:05:37 -0500
