## ubuntu-release-upgrader 24.04.26trisquel16.1

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.26trisquel16.1) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 15 Jun 2025 04:48:46 +0000

ubuntu-release-upgrader (1:24.04.26) ecne; urgency=medium

  [ Erich Eickmeyer ]
  * DistUpgradeQuirks: install pipewire-audio on trisquel studio upgrades,
    uninstalling pulseaudio and preventing install of
    pulseaudio:i386 (LP: #2078639)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 31 Jan 2025 12:11:23 -0500

ubuntu-release-upgrader (1:24.04.25) ecne; urgency=medium

  * DistUpgradeQuirks: skip sd-resolved quirk if it's not running (LP: #2078555)
  * Revert "DistUpgradeQuirks: install pipewire-audio on trisquel studio upgrades"
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 22 Jan 2025 16:05:37 -0500

ubuntu-release-upgrader (1:24.04.24) ecne; urgency=medium

  [ Julian Andres Klode ]
  * Avoid breaking upgrade by treating cross-grades as replacements
    (LP: #2081864)

  [ Nick Rosbrook ]
  * DistUpgradeQuirks: install pipewire-audio on trisquel studio upgrades
    (LP: #2078639)
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 16 Jan 2025 09:49:15 -0500

ubuntu-release-upgrader (1:24.04.23) ecne; urgency=medium

  * Ensure that we remove only the right obsolete packages, specifically
    not kernel packages  (LP: #2078720):
    - Revert back to old obsolete logic if new one fails
    - Force obsolete removals on non-foreign packages
    - Consistently check that we do not remove protected obsolete packages
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 05 Sep 2024 21:11:05 +0200

ubuntu-release-upgrader (1:24.04.22) ecne; urgency=medium

  [ Tobias Heider ]
  * Fix typo in force_obsoletes. (LP: #2076913)

  [ Nick Rosbrook ]
  * DistUpgrade: handle cache key error when removing obsolete packages
    (LP: #2077358)
  * deb2snap: switch snap-store and firmware-updater tracks
    (LP: #2077344)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 21 Aug 2024 12:55:15 -0400

ubuntu-release-upgrader (1:24.04.21) ecne; urgency=medium

  * DistUpgradeQuirks: disable stub resolver on upgrades from aramo
    (LP: #2043820)
  * DistUpgrade: show a message about denied package removals
    (LP: #2073278)
  * data: add cryptsetup-initramfs to removal_denylist.cfg
    (LP: #2067622)
  * DistUpgradeQuirks: abort if system is not /usr-merged
    (LP: #2058648)
  * DistUpgradeQuirks: disable cloud-init on upgrade
    (LP: #2075968)
  * DistUpgradeQuirks: abort if rabbitmq-server installed
    (LP: #2074309)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 09 Aug 2024 15:25:13 -0400

ubuntu-release-upgrader (1:24.04.20) ecne; urgency=medium

  [ Mate Kukri ]
  * DistUpgradeQuirks: make sure GRUB "cloud_style_installation" is set in cloud images (LP: #2054103)

  [ Julian Andres Klode ]
  * Move the actiongroup out of the obsoletes loop
  * Reimplement obsolete removal with resolve_by_keep (LP: #1874272)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 12 Jul 2024 12:29:55 -0400

ubuntu-release-upgrader (1:24.04.19) ecne; urgency=medium

  * DistUpgrade: drop quirk for systems with BIOS and XFS /boot (LP: #2067886)
  * DistUpgradeQuirks: make sure replacement.candidate is not None
    (LP: #2067071)
  * DistUpgrade: use tempfile for apt extended_states during simulation
    (LP: #2067585)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 04 Jun 2024 11:55:51 -0400

ubuntu-release-upgrader (1:24.04.18) ecne; urgency=medium

  [ Nick Rosbrook ]
  * tests: fix un-templated expected trisquel.sources
  * DistUpgradeQuirks: prevent upgrades of TPM FDE desktops (LP: #2065229)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

  [ Dave Jones ]
  * New quirk to add KMS overlay on Pi Server images (LP: #2065051)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 09 May 2024 15:39:56 -0400

ubuntu-release-upgrader (1:24.04.17) ecne; urgency=medium

  [ Nick Rosbrook ]
  * Revert "DistUpgrade.cfg.aramo: keep {netfilter,iptables}-persistent installed"
  * DistUpgradeQuirks: keep {netfilter,iptables}-persistent instead of ufw
    (LP: #2061891)

  [ Julian Andres Klode ]
  * DistUpgrade.cfg.aramo: Add systemd-resolved to PostUpgradeInstall
    (LP: #2063464)
  * Transition the automatically installed bit to t64 libraries, and
    do not write automatically installed bit in simulation (LP: #2064090)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 29 Apr 2024 16:26:40 +0200

ubuntu-release-upgrader (1:24.04.16) ecne; urgency=medium

  [ Nathan Pratta Teodosio ]
  * DistUpgrade: readfp was replaced by read_file in configparser.
    (LP: #2062435)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 19 Apr 2024 15:44:24 -0400

ubuntu-release-upgrader (1:24.04.15) ecne; urgency=medium

  * DistUpgrade.cfg.aramo: keep {netfilter,iptables}-persistent installed
    (LP: #2061891)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 17 Apr 2024 17:10:33 -0400

ubuntu-release-upgrader (1:24.04.14) ecne; urgency=medium

  [ Brian Murray ]
  * Set prompt to lts because 24.04 is one (LP: #2061214)

  [ Nick Rosbrook ]
  * DistUpgradeQuirks: tell apport to ignore update-apt-xapian-index
    (LP: #2058227)
  * DistUpgradeQuirk: fix check for linux-image-raspi in cache (LP: #2061181)

