## ubuntu-release-upgrader 24.04.26trisquel16.2

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.26trisquel16.2) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 02 Aug 2025 21:35:57 +0000
