## ubuntu-release-upgrader 24.04.26+p24.04+vstable+git20250820.0205

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.26+p24.04+vstable+git20250820.0205) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 20 Aug 2025 02:05:39 +0000

update-manager (1:0.87.3) h
