=== debian/control ===
Source: ubuntu-release-upgrader
Section: admin
Priority: optional
Build-Depends: apt-clone (>= 0.2.3~ubuntu2),
               debhelper (>= 9),
               dh-python,
               lsb-release,
               pycodestyle,
               python3-all,
               python3-apt (>= 2.7.5),
               python3-distutils-extra,
               python3-update-manager (>= 1:19.04.5),
               ubuntu-drivers-common (>= 1:0.2.55) [i386 amd64]
Build-Depends-Indep: intltool, libxml-parser-perl
Standards-Version: 4.3.0
Vcs-Git: https://invent.kde.org/neon/forks/ubuntu-release-upgrader.git
Vcs-Browser: https://invent.kde.org/neon/forks/ubuntu-release-upgrader
Maintainer: Neon CI <neon@kde.org>

Package: ubuntu-release-upgrader-core
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ca-certificates,
         python3-distupgrade (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
Replaces: update-manager (<< 1:0.165), update-manager-core (<< 1:0.165)
Breaks: software-properties (<< 0.9.27),
        update-manager (<< 1:0.165),
        update-manager-core (<< 1:0.165)
Description: manage release upgrades
 This is the core of the Ubuntu Release Upgrader

Package: python3-distupgrade
Architecture: all
Section: python
Pre-Depends: ${misc:Pre-Depends}
Depends: gpgv,
         lsb-release,
         procps,
         python3-apt (>= 0.8.5~),
         python3-dbus,
         python3-distro-info,
         python3-update-manager (>= 1:19.04.2~),
         python3-yaml,
         sensible-utils,
         ${misc:Depends},
         ${python3:Depends}
Replaces: python3-update-manager (<< 1:0.165)
Breaks: python3-update-manager (<< 1:0.165)
Description: manage release upgrades
 This is the DistUpgrade Python 3 module

Package: ubuntu-release-upgrader-gtk
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: gir1.2-gtk-3.0,
         gir1.2-vte-2.91,
         gir1.2-webkit2-4.1,
         python3-dbus,
         python3-distupgrade (= ${source:Version}),
         python3-gi (>= 3.8),
         ubuntu-release-upgrader-core (= ${source:Version}),
         update-manager,
         ${misc:Depends},
         ${python3:Depends}
Description: manage release upgrades
 This is the GTK+ frontend of the Ubuntu Release Upgrader

Package: ubuntu-release-upgrader-qt
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: psmisc,
         python3-pyqt5,
         ubuntu-release-upgrader-core (= ${source:Version}),
         ${misc:Depends}
Recommends: qttranslations5-l10n
Replaces: update-manager-kde (<< 1:0.165)
Breaks: update-manager-kde (<< 1:0.165)
Description: manage release upgrades
 This is the Qt frontend of the Ubuntu Release Upgrader
