=== debian/tests/control ===
Tests: nose-tests
Depends: @, gir1.2-webkit2-4.1, python3-mock, python3-nose, xvfb, python3-apport, pycodestyle
