## ubuntu-release-upgrader 24.04.27trisquel16.2

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.27trisquel16.2) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 04 Aug 2025 14:47:38 +0000

ubuntu-release-upgrader (1:24.04.27) ecne; urgency=medium

  * Run pre-build.sh: updating mirrors for point release (LP: #2118789)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 25 Jul 2025 12:08:16 -0400
