## ubuntu-release-upgrader 24.04.27trisquel16.4

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.27trisquel16.4) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 09 Aug 2025 01:21:00 +0000
