## ubuntu-release-upgrader 24.04.27trisquel16.5

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.27trisquel16.5) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 11 Aug 2025 01:04:14 +0000
