## ubuntu-release-upgrader 24.04.27trisquel16.7

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.27trisquel16.7) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 12 Aug 2025 05:06:00 +0000
