## ubuntu-release-upgrader 24.04.27trisquel17

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.27trisquel17) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 01 Sep 2025 09:02:33 +0000
