## ubuntu-release-upgrader 24.04.27trisquel18

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.27trisquel18) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 07 Oct 2025 20:06:07 +0000
