=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.27trisquel19) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 11 Oct 2025 07:37:51 +0000
