=== debian/rules ===
--- 
+++ 
@@ -48,10 +48,10 @@
 	done
 
 override_dh_python3-indep:
-	mkdir -p debian/ubuntu-release-upgrader-gtk/usr/bin
-	cp ./debian/ubuntu-release-upgrader-gtk/usr/lib/ubuntu-release-upgrader/check-new-release-gtk debian/ubuntu-release-upgrader-gtk/usr/bin
+	mkdir -p debian/trisquel-release-upgrader-gtk/usr/bin
+	cp ./debian/trisquel-release-upgrader-gtk/usr/lib/trisquel-release-upgrader/check-new-release-gtk debian/trisquel-release-upgrader-gtk/usr/bin
 	dh_python3 -i
-	rm ./debian/ubuntu-release-upgrader-gtk/usr/bin/check-new-release-gtk
-	rmdir debian/ubuntu-release-upgrader-gtk/usr/bin
+	rm ./debian/trisquel-release-upgrader-gtk/usr/bin/check-new-release-gtk
+	rmdir debian/trisquel-release-upgrader-gtk/usr/bin
 
 .PHONY: binary binary-indep
