## ubuntu-release-upgrader 24.04.27+p24.04+vrelease+git20250820.0238

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.27+p24.04+vrelease+git20250820.0238) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 20 Aug 2025 02:38:23 +0000
