=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,8 @@
 	rm -rf ./build ./DistUpgrade/$(DEBVER) ./DistUpgrade/mo \
 		./DistUpgrade/$(DIST)  ./DistUpgrade/$(DIST).tar.gz \
 		 ./DistUpgrade/ubuntu-drivers-obsolete.pkgs ./po/mo
+	# Pre build on neon CI builds.
+	if [ -e /tooling ]; then ./pre-build.sh; fi
 
 binary: binary-arch binary-indep
 
@@ -46,12 +48,13 @@
 	set -ex; for python in $(PY3); do \
 		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
 	done
+	sed -i 's/Ubuntu/KDE neon/g' $(CURDIR)/debian/tmp/usr/share/polkit-1/actions/com.ubuntu.release-upgrader.policy
 
 override_dh_python3-indep:
-	mkdir -p debian/trisquel-release-upgrader-gtk/usr/bin
-	cp ./debian/trisquel-release-upgrader-gtk/usr/lib/trisquel-release-upgrader/check-new-release-gtk debian/trisquel-release-upgrader-gtk/usr/bin
+	mkdir -p debian/ubuntu-release-upgrader-gtk/usr/bin
+	cp ./debian/ubuntu-release-upgrader-gtk/usr/lib/ubuntu-release-upgrader/check-new-release-gtk debian/ubuntu-release-upgrader-gtk/usr/bin
 	dh_python3 -i
-	rm ./debian/trisquel-release-upgrader-gtk/usr/bin/check-new-release-gtk
-	rmdir debian/trisquel-release-upgrader-gtk/usr/bin
+	rm ./debian/ubuntu-release-upgrader-gtk/usr/bin/check-new-release-gtk
+	rmdir debian/ubuntu-release-upgrader-gtk/usr/bin
 
 .PHONY: binary binary-indep
