## ubuntu-release-upgrader 24.04.28

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.28) noble; urgency=medium

  * Run pre-build.sh: updating mirrors for point release (LP: #2138637)

 -- Florent 'Skia' Jacquet <skia@ubuntu.com>  Mon, 19 Jan 2026 16:31:44 +0100
