## ubuntu-release-upgrader 24.04.28trisquel20

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.28trisquel20) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 28 Jan 2026 22:52:26 +0000

ubuntu-release-upgrader (1:24.04.28) ecne; urgency=medium

  * Run pre-build.sh: updating mirrors for point release (LP: #2138637)

 -- Florent 'Skia' Jacquet <skia@ubuntu.com>  Mon, 19 Jan 2026 16:31:44 +0100
