## ubuntu-release-upgrader 24.10.4

=== debian/changelog ===
ubuntu-release-upgrader (1:24.10.4) oracular; urgency=medium

  * DistUpgrade: drop quirk for systems with BIOS and XFS /boot (LP: #2067886)
  * DistUpgrade: use tempfile for apt extended_states during simulation
    (LP: #2067585)
  * DistUpgradeQuirks: drop t64 replacement quirk
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 05 Jun 2024 16:58:21 -0400

ubuntu-release-upgrader (1:24.10.3) oracular; urgency=medium

  [ Nick Rosbrook ]
  * tests: fix un-templated expected ubuntu.sources
  * DistUpgradeQuirks: prevent upgrades of TPM FDE desktops (LP: #2065229)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

  [ Dave Jones ]
  * New quirk to add KMS overlay on Pi Server images (LP: #2065051)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 09 May 2024 15:29:17 -0400

ubuntu-release-upgrader (1:24.10.2) oracular; urgency=medium

  * data/release-upgrades: set Prompt=normal for oracular
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 06 May 2024 15:26:36 -0400

ubuntu-release-upgrader (1:24.10.1) oracular; urgency=medium

  * Update for oracular
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 06 May 2024 10:26:52 -0400
