## ubuntu-release-upgrader 24.10.5

=== debian/changelog ===
ubuntu-release-upgrader (1:24.10.5) oracular; urgency=medium

  [ Nick Rosbrook ]
  * Only rewrite deb822 sources on upgrade
    - DistUpgradeController: migrate to deb822 before updating sources
    - DistUpgrade: don't make Deb822SourceEntry import conditional
    - DistUpgrade: only leave comment in sources.list if we migrated it
    - DistUpgrade: handle deb822 migration rollback on abort
    - DistUpgrade: clean up backup sources
  * Remove dead code
    - DistUpgradeQuirks: remove unused quirks
    - test: remove unused interactive_fetch_release_upgrader.py
    - DistUpgrade: remove old and unused DistUpgradePatcher
    - DistUpgrade: remove unused zz-update-grub
    - DistUpgrade: remove apt_clone.py symlink
    - DistUpgrade: remove imported/invoke-rc.d.diff
    - DistUpgradeController: remove .list update/re-write functions
    - DistUpgradeController: remove unused distro.py import and symlink
    - DistUpgrade: remove DistUpgradeQuirks.run
    - DistUpgrade: remove un-used PreRequists logic
    - all: remove unused config and test data
    - all: remove unused imports
    - DistUpgradeCache: remove unused methods and variables
  * DistUpgrade: fix several typos of 'upgrade'
  * DistUpgradeController: fix attribute typos
  * Run pre-build.sh: updating mirrors, demotions, and translations.

  [ Julian Andres Klode ]
  * Move the actiongroup out of the obsoletes loop
  * Reimplement obsolete removal with resolve_by_keep (LP: #1874272)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 11 Jul 2024 15:04:57 -0400
