## ubuntu-release-upgrader 24.10.13

=== debian/changelog ===
ubuntu-release-upgrader (1:24.10.13) oracular; urgency=medium

  * deb2snap: change thunderbird metapkg to ubuntu-desktop (LP: #2083616)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 03 Oct 2024 10:22:55 -0400

ubuntu-release-upgrader (1:24.10.12) oracular; urgency=medium

  * DistUpgrade: do not offer snap revert suggestion (LP: #2083522)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 02 Oct 2024 10:54:12 -0400

ubuntu-release-upgrader (1:24.10.11) oracular; urgency=medium

  [ Nick Rosbrook ]
  * deb2snap: update for oracular release (LP: #2083311)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

  [ Chris Peterson ]
  * DistUpgradeQuirks: add hook to disable kdump-tools (LP: #2083455)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 01 Oct 2024 21:03:18 -0400

ubuntu-release-upgrader (1:24.10.10) oracular; urgency=medium

  * Revert "DistUpgradeQuirks: prevent upgrades if zfs module is loaded"
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 20 Sep 2024 16:38:35 -0400

ubuntu-release-upgrader (1:24.10.9) oracular; urgency=medium

  * Ensure that we remove only the right obsolete packages, specifically
    not kernel packages  (LP: #2078720):
    - Revert back to old obsolete logic if new one fails
    - Force obsolete removals on non-foreign packages
    - Consistently check that we do not remove protected obsolete packages
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 05 Sep 2024 21:11:05 +0200

ubuntu-release-upgrader (1:24.10.8) oracular; urgency=medium

  * DistUpgrade: handle cache key error when removing obsolete packages
    (LP: #2077358)
  * DistUpgradeQuirks: prevent upgrades if zfs module is loaded
  * deb2snap: switch snap-store and firmware-updater tracks (LP: #2077344)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 23 Aug 2024 09:22:42 -0400

ubuntu-release-upgrader (1:24.10.7) oracular; urgency=medium

  [ Tobias Heider ]
  * Fix typo in force_obsoletes. (LP: #2076913)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 13 Aug 2024 10:56:29 -0400

ubuntu-release-upgrader (1:24.10.6) oracular; urgency=medium

  * DistUpgrade: show a message about denied package removals
    (LP: #2073278)
  * data: add cryptsetup-initramfs to removal_denylist.cfg
    (LP: #2067622)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 06 Aug 2024 16:48:41 -0400
