## ubuntu-release-upgrader 24.10.14

=== debian/changelog ===
ubuntu-release-upgrader (1:24.10.14) oracular; urgency=medium

  * d/control: add qt6 dependencies needed on upgrade to plucky (LP: #2095535)
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 14 Apr 2025 13:37:06 -0400
