=== debian/control ===
Source: ubuntu-release-upgrader
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), 
               python3-all,
               dh-python,
               python3-distutils-extra, 
               python3-apt (>= 2.7.5),
               lsb-release,
               ubuntu-drivers-common (>= 1:0.2.55) [i386 amd64], 
               python3-update-manager (>= 1:19.04.5),
               apt-clone (>= 0.2.3~ubuntu2)
Build-Depends-Indep: libxml-parser-perl, 
                     intltool
Standards-Version: 4.3.0
Vcs-Git: https://git.launchpad.net/ubuntu-release-upgrader -b ubuntu/main

Package: ubuntu-release-upgrader-core
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-distupgrade (= ${source:Version}),
         ca-certificates
Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
Replaces: update-manager (<< 1:0.165),
          update-manager-core (<< 1:0.165)
Breaks: update-manager (<< 1:0.165),
        update-manager-core (<< 1:0.165),
        software-properties (<< 0.9.27)
Description: manage release upgrades
 This is the core of the Ubuntu Release Upgrader

Package: python3-distupgrade
Architecture: all
Section: python
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-update-manager (>= 1:19.04.2~),
         python3-apt (>= 0.8.5~),
         python3-dbus,
         python3-distro-info,
         gpgv,
         lsb-release,
         sensible-utils,
         procps
Replaces: python3-update-manager (<< 1:0.165)
Breaks: python3-update-manager (<< 1:0.165)
Description: manage release upgrades
 This is the DistUpgrade Python 3 module

Package: ubuntu-release-upgrader-gtk
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         ubuntu-release-upgrader-core (= ${source:Version}),
         update-manager,
         python3-distupgrade (= ${source:Version}),
         python3-dbus,
         python3-gi (>= 3.8),
         gir1.2-vte-2.91,
         gir1.2-gtk-3.0,
         gir1.2-webkit2-4.1
Description: manage release upgrades
 This is the GTK+ frontend of the Ubuntu Release Upgrader

Package: ubuntu-release-upgrader-qt
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ubuntu-release-upgrader-core (= ${source:Version}),
         python3-pyqt5,
         pyqt6-dev-tools,
         python3-pyqt6,
         python3-pyqt6.qtquick,
         psmisc
Recommends: qttranslations5-l10n
Replaces: update-manager-kde (<< 1:0.165)
Breaks: update-manager-kde (<< 1:0.165)
Description: manage release upgrades
 This is the Qt frontend of the Ubuntu Release Upgrader
