## ubuntu-release-upgrader 25.04.1

=== debian/changelog ===
ubuntu-release-upgrader (1:25.04.1) plucky; urgency=medium

  * Welcome to the Plucky Puffin!
  * Port the KDE frontend to Qt 6.
  * Run wrap-and-sort.
  * Update Standards-version to 4.7.0, no changes needed.
  * Update to debhelper 13.
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 17 Oct 2024 11:00:52 -0500
