## ubuntu-release-upgrader 25.04.2

=== debian/changelog ===
ubuntu-release-upgrader (1:25.04.2) plucky; urgency=medium

  [ Florent 'Skia' Jacquet ]
  * DistUpgrade: refresh announcements with more up-to-date means of communications
    (LP: #2084159)

  [ Nick Rosbrook ]
  * DistUpgrade: remove ValidOrigin config option
  * DistUpgrade: warn about foreign packages after rewriting sources
  * DistUpgrade: remove _expandUri from fetcher
  * DistUpgrade: handle common apt source errors during rewrite
  * test: ensure suites and components are always sorted
  * DistUpgrade: remove unnecessary DistUpgradeController.useNetwork attribute
  * all: do not track demotions
  * DistUpgrade: remove dead cdrom adapter code
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 20 Dec 2024 10:30:02 -0500
