## ubuntu-release-upgrader 25.04.3

=== debian/changelog ===
ubuntu-release-upgrader (1:25.04.3) plucky; urgency=medium

  * DistUpgradeQuirks: refresh snaps at very end of upgrade (LP: #2083942)
  * DistUpgradeController: remove extra argument to view.confirmChanges
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 14 Jan 2025 15:35:54 -0500
